### Method

# Gck Enumerator next

#### Declaration [src]

    GckObject*
    gck_enumerator_next (
      GckEnumerator* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Get the next object in the enumerator, or `NULL` if there are no more objects.

`NULL` is also returned if the function fails. Use the `error` to determine whether a failure occurred or not.

#### Parameters

`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GckObject`
| The next object, which must be released using g_object_unref, or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.